Commit 395bc674 authored by Daniel Król's avatar Daniel Król

Restore PHP5.6 compatibility

parent ed369eff
language: php
php:
- 5.6
- 7.0
- 7.1
- 7.2
......
......@@ -17,7 +17,7 @@
}
],
"require": {
"php": "^7.0",
"php": "^5.6|^7.0",
"narrator/narrator": "^0.4",
"symfony/config": "^2.3|^3.0",
"symfony/dependency-injection": "^2.3|^3.0",
......
......@@ -87,10 +87,10 @@ class ListenerPass implements \Symfony\Component\DependencyInjection\Compiler\Co
return null;
}
$firstParameter = $parameters[0];
$firstParameterType = $firstParameter->getType();
$firstParameterType = $firstParameter->getClass();
if (null === $firstParameterType) {
return null;
}
return (string)$firstParameterType;
return $firstParameterType->getName();
}
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment